/* --------------------------------------------------------------------*/
/*  FEATURE_EXTRACTION.H       Teemu Kilpelinen 20.10.2000	       */
/*   								       */
/* --------------------------------------------------------------------*/

#ifndef FEATURE_EXTRACTION_H
#define FEATURE_EXTRACTION_H

PATTERN FeatureExtraction(Signal *sigptr, Parameters *parap); 
void CepstralLiftering(MATRIX vector, double *lifter_function, 
		       int lifter_length);	
double *LifteringCoefficients(int lifter_type, int lifter_length);
void copy_frame_complex(fftw_complex *in, Frame *frptr);
void zero_arr(int n, fftw_complex *a);
void copy_complex_frame(fftw_complex *in, Frame *frptr, 
			int absolute_magnitude);
#endif 
