/* csv.h - CSV parsing routines by Ville Hautamki <villeh@cs.joensuu.fi>, 2002
   All sources are under GPL */

#ifndef CSV_H
#define CSV_H

typedef struct Csv Csv;

#define BUF 200
#define FIELDLEN 256
#define NUMFIELDS 6

struct Csv {
  int num_fields;
  char *fields[NUMFIELDS];
};

int csv_parse(List *listp, FILE *infile);
int csv_write(List *listp, FILE *outfile);
Csv *csv_create(FILE *infile, int *flag);                //Parses one CSV line
void csv_destroy(Csv *csvptr);
char *csv_get_field(Csv *csvptr, int field);

//char *readline(FILE *infile);
//char *csv_parse_attr(char *str, char **str); 


#endif
