#include <stdio.h>

#include "memctrl.h"


#ifdef MEMORYCONTROLLER

static void** Pointers = 0;
static int Count = 0;

void* allocatememory(size_t nbytes, char* file, int line) {
    void* P;
    if (!nbytes) return 0;
    if (!Pointers) Pointers = malloc(sizeof(void*) * 1000000);
    P = malloc(nbytes);
    Pointers[Count++] = P;
    return P;
}

void deallocatememory(void* block, char* file, int line) {
    int k;
    if (!block) return;
    for (k = 0; k < Count; k++) if (Pointers[k] == block) {
	free(block);
	Pointers[k] = Pointers[Count - 1];
	Count--;
	return;
    }
    fprintf(stderr, "Memory deallocation: %s: %i\n", file, line);
    fflush(stderr);
    *((int*)0) = 1;
}

void deallocate(void* block) 
{
  free(block);
}

#endif

