/* util.h by Ville Hautamki, <villeh@cs.joensuu.fi>, 2001 */

#ifndef UTIL_H
#define UTIL_H

enum {
  NO_INIT = 0,
  INIT = 1
};

#define PI 3.1415926536 

void *allocate(size_t size, int flag);
int Ms2Samples(int ms, int sampling_rate);
int NearestPowerOfTwo(int frame_length);
void print_error(char *errorstr);
FILE *open_file(char *path, char *modes);

#endif
